#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,80,160,200,240,280,320,680,1040,1400,2800
 * N : 25,80,160,200,240,280,320,680,1040,1400,2800
 * NB : 2,8,8,8,28,40,48,56,80,80,80
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 52) (nb_) = 2; \
   else if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 260) (nb_) = 28; \
   else if ((n_) < 300) (nb_) = 40; \
   else if ((n_) < 500) (nb_) = 48; \
   else if ((n_) < 860) (nb_) = 56; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
