#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,280,320,400,480,520,560,840,960,1120,2240
 * N : 25,280,320,400,480,520,560,840,960,1120,2240
 * NB : 7,7,12,8,8,8,28,16,40,40,80
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 300) (nb_) = 7; \
   else if ((n_) < 360) (nb_) = 12; \
   else if ((n_) < 540) (nb_) = 8; \
   else if ((n_) < 700) (nb_) = 28; \
   else if ((n_) < 900) (nb_) = 16; \
   else if ((n_) < 1680) (nb_) = 40; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
